post
https://{environment}.tamara.co/prequal/v1/session
This endpoint helps you to initiate a pre-qual session for your customers, so they can know exactly how much they can spend with Tamara.
Pre-qualification session flow
Merchants should call the Pre-qual session API for their customers to assess their max spending limit and available payment plans.
Integration sequence
Merchants may implement the Tamara pre-qual session flow across existing and custom merchant assets, similar to widgets:
- Customer clicks on the respective button to start the pre-qual session.
- Merchant calls the Pre-qual session API from backend.
- Merchant opens the returned URL for the customer (HTTP redirect or webview).
- Customer inputs the phone number and amount, completes the pre-qual check.
- Customer is redirected to the specified merchant page.
Each successful request creates a new session (no idempotency key). Sessions expire after a short TTL (typically 30 minutes).
Timeout
Merchants should configure a 1s timeout for the Pre-qual session API.
If Tamara API does not respond within 1s, then no Pre-qual session will be generated.
Testing
Sample phone numbers for testing
| Scenario | UAE | KSA |
|---|---|---|
| positive | 971529050943 | 966599050943 |
| positive | 971529070943 | 966599070943 |
| negative | 971529050942 | 966599050942 |
| negative | 971529070942 | 966599070942 |
